Package org.opensaml.xmlsec.signature.impl

# Class SignatureUnmarshaller

java.lang.Object
org.opensaml.xmlsec.signature.impl.SignatureUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

public class SignatureUnmarshaller extends Object implements Unmarshaller
An unmarshaller for `Signature` objects.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`SignatureUnmarshaller()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`private Integer`
`getHMACOutputLengthValue(Element signatureMethodElement)`
Find and return the integer value contained within the HMACOutputLength element, if present.
`Signature`
`unmarshall(Element signatureElement)`
Unmarshalls the given W3C DOM element into a XMLObject.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### SignatureUnmarshaller

public SignatureUnmarshaller()
Constructor.

## Method Details

### unmarshall

@Nonnull public Signature unmarshall(@Nonnull Element signatureElement) throws UnmarshallingException
Unmarshalls the given W3C DOM element into a XMLObject.

Specified by:
  `unmarshall` in interface `Unmarshaller`
Parameters:
  `signatureElement` - the DOM Element
Returns:
  the unmarshalled XMLObject
Throws:
  `UnmarshallingException` - thrown if an error occurs unmarshalling the DOM element into the XMLObject

### getHMACOutputLengthValue

@Nullable private Integer getHMACOutputLengthValue(@Nullable Element signatureMethodElement)
Find and return the integer value contained within the HMACOutputLength element, if present.

Parameters:
  `signatureMethodElement` - the ds:SignatureMethod element
Returns:
  the HMAC output length value, or null if not present